Bug 534048 - yumdownloader reports false "already exists" errors
yumdownloader reports false "already exists" errors
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 06:15 EST by Michal Nowak
Modified: 2014-01-21 18:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 466494
Environment:
Last Closed: 2009-12-02 13:40:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-11-10 06:15:27 EST
+++ This bug was initially created as a clone of Bug #466494 +++

Description of problem:
When downloading package(s) with yumdownloader there are several "already exists" errors reported but the package is not present. Nevertheless the package is downloaded ok.

Version-Release number of selected component (if applicable):
yum-utils-1.1.16-8.el5

Steps to Reproduce:
# yumdownloader perl
  
Actual results:
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
perl-5.8.8-18.el5.ppc.rpm           |  12 MB     00:00     
./perl-5.8.8-18.el5.ppc.rpm already exists and appears to be complete
./perl-5.8.8-18.el5.ppc.rpm already exists and appears to be complete
./perl-5.8.8-18.el5.ppc.rpm already exists and appears to be complete

Expected results:
perl-5.8.8-18.el5.ppc.rpm           |  12 MB     00:00     

Additional info:
Works fine, when a single repository is enabled:
# yumdownloader perl --disablerepo=\* --enablerepo=rhts-custom6
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
perl-5.8.8-18.el5.ppc.rpm           |  12 MB     00:00

--- Additional comment from james.antill@redhat.com on 2008-10-10 11:29:38 EDT ---

 What does "yum --showduplicates list perl" say (I'm assuming you have the 3.2.19 yum)?

 What the above output is saying is that it's found 4 different packages for perl, and so it downloads the first one ... which works. And then it tries to download the next 3 ... but they are identicaly named, so it's refusing to do so.

--- Additional comment from psplicha@redhat.com on 2008-10-10 12:19:57 EDT ---

I says just one line

# yum --showduplicates list perl
Installed Packages
perl.ppc                   4:5.8.8-18.el5                   installed

--------------------------------------------------------------------------------


Same here with 

yum-3.2.25-1.fc12.noarch
yum-utils-1.1.23-3.fc12.noarch

for yumdownload --source $pkg:

"""
newman@dhcp-lab-124 SRPMS $ yumdownloader --source binutils
Loaded plugins: dellsysidplugin2, refresh-packagekit
Enabling rpmfusion-nonfree-updates-testing-source repository
Enabling updates-testing-source repository
Enabling rpmfusion-nonfree-updates-source repository
Enabling updates-source repository
Enabling rpmfusion-nonfree-source repository
Enabling rpmfusion-free-updates-source repository
Enabling rpmfusion-free-updates-testing-source repository
Enabling fedora-source repository
Enabling rpmfusion-free-source repository
binutils-2.19.51.0.14-34.fc12.src.rpm                                                                                                 |  15 MB     00:32     
./binutils-2.19.51.0.14-34.fc12.src.rpm already exists and appears to be complete
./binutils-2.19.51.0.14-34.fc12.src.rpm already exists and appears to be complete
You have new mail in /var/spool/mail/newman
"""

What it actually does is that it download the source rpm and then twice warns/claims that that pkg is there, which is far from being necessary.
Comment 1 Bug Zapper 2009-11-16 10:23:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 seth vidal 2009-12-01 13:57:00 EST
I cannot replicate this at all.

can you run it with yumdownloader -v --source pkgname

and report the output?
Comment 3 Michal Nowak 2009-12-02 05:03:04 EST
newman@dhcp-lab-124 reports $ yumdownloader -v --source rpm
Not loading "blacklist" plugin, as it is disabled
Loading "dellsysidplugin2" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Config time: 0.243
Running as non-root, using /var/tmp/yum-newman-73BuNe as cachedir
repo time: 0.001
Setting up Package Sacks
pkgsack time: 0.078
Enabling rpmfusion-nonfree-updates-testing-source repository
Setting up Package Sacks
pkgsack time: 0.022
Enabling updates-testing-source repository
Setting up Package Sacks
pkgsack time: 0.016
Enabling rpmfusion-nonfree-updates-source repository
Setting up Package Sacks
pkgsack time: 0.013
Enabling updates-source repository
Setting up Package Sacks
pkgsack time: 0.017
Enabling rpmfusion-nonfree-source repository
Setting up Package Sacks
pkgsack time: 0.022
Enabling rpmfusion-free-updates-source repository
Setting up Package Sacks
pkgsack time: 0.013
Enabling rpmfusion-free-updates-testing-source repository
Setting up Package Sacks
pkgsack time: 0.019
Enabling fedora-source repository
Setting up Package Sacks
pkgsack time: 0.061
Enabling rpmfusion-free-source repository
Setting up Package Sacks
pkgsack time: 0.073
rpmdb time: 0.122
rpm-4.7.1-6.fc12.src.rpm                                                                                                              | 3.3 MB     00:13     


Apparently it's working now, not remembering in what situation it was failing. Perhaps, it's fixed now, dunno. Sorry.

Note You need to log in before you can comment on or make changes to this bug.